<?php
/*
2D_video admin template
http://www.2diabolos.com/blog/plugins-pour-wordpress/2d_video-plugin
*/
$url = explode('://',get_site_url());
$video_2D_options_default= array(
					'embed'=>1,
					'download'=>1,
					'play_delayed'=>1,
					'authorized_host'=>$url[1],
					'image_delay'=>"vid_play.gif",
					'play_button'=>"play_bouton.png");
					
if (isset($_POST['action'])) {
	unset($_POST['action']);
	foreach(array_keys($video_2D_options_default) as $key ) {
			$video_2D_options[$key] = $_POST[$key];
	}
	$old_options =get_option('2D_video');
	if (!empty($old_options)) $diff=array_diff_assoc($old_options,$video_2D_options);
	
	if ( !empty($diff) || empty($old_options) ) {
		update_option("2D_video", $video_2D_options);
		update_option("2D_video_modified", time());
		$video_2D_obj = new video_2D_obj();
		print( __( '<div class="updated">Settings Saved</div>' ) );
	} else {
		echo __( '<div class="updated">Settings not changed :)</div>' ) ;
	}
}
$video_2D_options = $video_2D_obj->options; #get_option('2D_video');
if ($video_2D_options === false) {
	echo( __( '<div class="updated"><strong>2D video : </strong>Still not configured, please fill this configuration page</div>' ) );
	$video_2D_options= $video_2D_options_default;
}

//this loads $video_2D_obj->provider
$video_2D_obj->ContentFilter("");
?>
<h2>2D_video <?php _e( 'Settings' ) ?></h2>
<div>
<strong><a href="http://www.2diabolos.com/blog/plugins-pour-wordpress/2d_video-plugin">Plugin Homepage</a></strong>
</div>

<form method="post" action="">
<h4>Embed:</h4>
<label for="embed">Zeige Embed Optionen unter den Videos. / Show embed field below the videos.</label>
<p>
<input type="radio" name="embed" value="1" <?php print( $video_2D_options[ 'embed' ] == 1 ? ' checked="checked"' : '' ); ?>/> <?php echo __('Yes'); ?>
<input type="radio" name="embed" value="0" <?php print( $video_2D_options[ 'embed' ] == 0 ? ' checked="checked"' : '' ); ?>/> <?php echo __('No'); ?>
</p>
<h4>Download:</h4>
<label for="download">Zeige Download-Link unter den Videos. / Show download link field below the videos.</label>
<p>
<input type="radio" name="download" value="1" <?php print( $video_2D_options[ 'download' ] == 1 ? ' checked="checked"' : '' ); ?>/> <?php echo __('Yes'); ?>
<input type="radio" name="download" value="0" <?php print( $video_2D_options[ 'download' ] == 0 ? ' checked="checked"' : '' ); ?>/> <?php echo __('No'); ?>
</p>

<h4>Authorized hosts for "local" files:</h4>
<label for="authorized_host">Here is the list/pattern of the authorized hosts you want to allowed for "local" files. A adviced choice is your blog URL (<?php echo $video_2D_options_default['authorized_host']; ?>)</label>
<p>
<input type="text" size="40" name="authorized_host" value="<?php echo $video_2D_options['authorized_host']; ?>"/> (for more than one host, put a "|". example : "www.myFirstDomain.com|subdomain.mySecondOne.com/video")
</p>
<h4>Delayed play:</h4>
<label for="play_delayed">Do NOT play directly local files, put a "paused" image instead.<br>
If you have many visitors, or not illimited bandwidth, or big and numerous videos ... this should be "Yes"<br>
Choose no only if you have a fast server, no transfer limitations (in Go/month), not too many visitors ....
</label>
<p>
	<input onchange="o=document.getElementById('config_delay');if(this.value == 1){o.style.display='block'} else {o.style.display='none'}" type="radio" name="play_delayed" value="1" <?php print( $video_2D_options[ 'play_delayed' ] == 1 ? ' checked="checked"' : '' ); ?>/> <?php echo __('Yes'); ?>
	<input onchange="o=document.getElementById('config_delay');if(this.value == 1){o.style.display='block'} else {o.style.display='none'}" type="radio" name="play_delayed" value="0" <?php print( $video_2D_options[ 'play_delayed' ] == 0 ? ' checked="checked"' : '' ); ?>/> <?php echo __('No'); ?>
</p>
<table id="config_delay" style="position:relative;left:200px;display:<?php echo ($video_2D_options[ 'play_delayed' ]) ? "block": "none"; ?>">
	<tr><td>
		<h5>Pause's image :</h5>
		<label for="image_delay">Image to show before local videos loading :</label> 
		<p>
		<input type="text" name="image_delay" value="<?php echo $video_2D_options['image_delay']; ?>"/>
		here you are the actual choice : 
		</p>
	</td><td>
		<img width="150" src="<?php echo $video_2D_obj->image_delay_url(); ?>" />
	</td></tr>
	<tr><td>
		<h5>Play button :</h5>
		<label for="play_button">the play button to put over the "image delay" :</label> 
		<p>
		<input type="text" name="play_button" value="<?php echo $video_2D_options['play_button']; ?>"/>
		here you are the actual choice : </p>
	</td><td valign="bottom">
		<img src="<?php echo $video_2D_obj->play_button_url(); ?>" />
	</td></tr>
</table>
<p class="submit"><input type="submit" name="action" value="Update" /></p>

</form> 

<p>
<h4>Supported Video-Portals (<?php print( count( $video_2D_obj->provider ) ); ?>):</h4>
<ul>
<?php

foreach( $video_2D_obj->provider as $k => $provider )
{
	printf( '<li><a href="%s" target="_blank">%s</a></li>', $provider[ 'page_url' ], ucfirst( $k ) );
}
?>
</ul>
</p>

<div align="center"> 
<strong><a href="http://www.2diabolos.com/blog/plugins-pour-wordpress/2d_video-plugin">Plugin Homepage</a></strong>
</div>