<?php
/*
2D_video plugin v0.6 definition file http://www.2diabolos.com/blog/plugins-pour-wordpress/2d_video-plugin
BBVideo Plugin v0.24 definition file) http://www.naden.de/blog/bbvideo-bbpress-video-plugin
*/

/*
Support for:
*local : MP4,MOV,3GP,M4V,M4B, WMV, AVI,ASF, FLV
platforms :
    *  clipfish
    * collegehumor
    * dailymotion
    * funnyordie
    * gametrailers
    * glumbert
    * googlevideo
    * juggletube
    * jugglingTV1
    * jugglingTV_looked
    * liveleak
    * local_mp4
    * metacafe
    * myvideo
    * redtube
    * sevenload
    * vimeo
    * youtube
*/

$video_provider = array(

	'local_mp4,mov,m4v,m4b,3gp' => array(
		'type'=>'local',
		'width' => '640',
		'height' => '500',
		'pattern' => 'https?://('.$this->options['authorized_host'].')(.*)\.(mp4|mov|m4v|m4b|3gp)',
		'index' => 0,
		'code' => '<div name="video2D_mp4" class="play_video2D" style="position:relative;height:[HEIGHT]px;width:[WIDTH]px"
			onClick="play_video2D(this,\'[ID]\',\'[WIDTH]\',\'[HEIGHT]\',\'_mp4\')">
			<img src="'.$this->image_delay_url().'" height="[HEIGHT]" width="[WIDTH]" />
			<img class="play_b" name="play_b" src="'.$this->play_button_url().'"
				onClick="play_video2D(this,\'[ID]\',\'[WIDTH]\',\'[HEIGHT]\',\'_mp4\')"/>
		</div>',
		'embed' => '<object class="play_video2D" classid="clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B" codebase="http://www.apple.com/qtactivex/qtplugin.cab" width="[WIDTH]" height="[HEIGHT]">
			<param name="src" value="[ID]" /><param name="target" value="mp4" /><param name="controller" value="true" />
			<param name="autoplay" value="true" /><param name="scale" value="aspect" />
			<embed width="[WIDTH]" height="[HEIGHT]" type="video/quicktime" pluginspage="http://www.apple.com/quicktime/download/"
			src="[ID]" target="mp4"  autoplay="true" scale="aspect"></embed>
		</object>',
		'page_url' => get_site_url()
	),
	'local_wmv,avi,asf' => array(
		'type'=>'local',
		'width' => '640',
		'height' => '500',
		'pattern' => 'https?://('.$this->options['authorized_host'].')(.*)\.(wmv|avi|asf)',
		'index' => 0,
		'code' => '<div name="video2D_wmv" class="play_video2D" style="position:relative;height:[HEIGHT]px;width:[WIDTH]px"
			onClick="play_video2D(this,\'[ID]\',\'[WIDTH]\',\'[HEIGHT]\',\'_wmv\')">
			<img src="'.$this->image_delay_url().'" height="[HEIGHT]" width="[WIDTH]" />
			<img class="play_b" name="play_b" src="'.$this->play_button_url().'"
				onClick="play_video2D(this,\'[ID]\',\'[WIDTH]\',\'[HEIGHT]\',\'_wmv\')"/>
		</div>',
		'embed' => '
		<embed type="application/x-mplayer2" src="http://localhost/blog/wp-content/uploads/2009/12/lache_infini_sansWrap.wmv" showcontrols="1" showstatusbar="1" autostart="1" displaysize="4" pluginspage="http://www.microsoft.com/Windows/Downloads/Contents/Products/MediaPlayer/" height="410" width="500">',
		'page_url' => get_site_url()
	),
	'local_flv' => array(
		'type'=>'local',
		'width' => '640',
		'height' => '500',
		'pattern' => 'https?://('.$this->options['authorized_host'].')(.*)\.flv',
		'index' => 0,
		'code' => '<div name="video2D_flv" class="play_video2D" style="position:relative;height:[HEIGHT]px;width:[WIDTH]px"
			onClick="play_video2D(this,\'[ID]\',\'[WIDTH]\',\'[HEIGHT]\',\'_flv\')">
			<img src="'.$this->image_delay_url().'" height="[HEIGHT]" width="[WIDTH]" />
			<img class="play_b" name="play_b" src="'.$this->play_button_url().'"
				onClick="play_video2D(this,\'[ID]\',\'[WIDTH]\',\'[HEIGHT]\',\'_flv\')"/>
		</div>',
		'embed' => '
			<object class="play_flv" data="'.$this->baseUrl.'/flvplayer.swf" type="application/x-shockwave-flash" width="[WIDTH]" height="[HEIGHT]"
			wmode="transparent" type="application/x-shockwave-flash">
			<param name="movie" value="'.$this->baseUrl.'/flvplayer.swf" />
			<param name="wmode" value="transparent" />
			<param name="allowScriptAccess" value="sameDomain" />
			<param name="quality" value="high" />
			<param name="FlashVars" value="file=[ID]&amp;autostart=true&amp;autosize=true&amp;son=false"/>
			</object>',
		'page_url' => get_site_url()
	),


	'youtube' => array(
		'width' => '425',
		'height' => '350',
		'pattern' => 'youtube\.(.*)/watch\?v=([a-zA-Z0-9_-]*)',
		'index' => 2,
		'code' => '<object width="[WIDTH]" height="[HEIGHT]"><param name="movie" value="http://www.youtube.com/v/[ID]&rel=1"></param><param name="wmode" value="transparent"></param><embed src="http://www.youtube.com/v/[ID]&rel=1" type="application/x-shockwave-flash" wmode="transparent" width="[WIDTH]" height="[HEIGHT]"></embed></object>',
		'page_url' => 'http://www.youtube.com'
	),
	'myvideo' => array(
		'width' => '425',
		'height' => '350',
		'pattern' => 'myvideo\.de/watch/([a-zA-Z0-9_-]*)',
		'index' => 1,
		'code' => '<object width="[WIDTH]" height="[HEIGHT]" type="application/x-shockwave-flash" data="http://www.myvideo.de/movie/[ID]"><param name="movie" value="http://www.myvideo.de/movie/[ID]"></param><param name="AllowFullscreen" value="true" /></object>',
		'page_url' => 'http://www.myvideo.de'
	),
	'funnyordie' => array(
		'width' => '425',
		'height' => '350',
		'pattern' => 'funnyordie\.com/videos/([0-9a-fA-F]*)',
		'index' => 1,
		'code' => '<embed type="application/x-shockwave-flash" src="http://www2.funnyordie.com/public/flash/fodplayer.swf?1182461048" scale="noScale" salign="TL" flashvars="&ratename=IMMORTAL&rating=5.0&ratedby=12&canrate=no&VID=7417&file=http://www2.funnyordie.com/[ID].flv&autoStart=false&key=[ID]" allowfullscreen="true" height="[HEIGHT]" width="[WIDTH]"></embed>',
		'page_url' => 'http://www.funnyordie.com'
	),
	'gametrailers' => array(
		'width' => '425',
		'height' => '350',
		'pattern' => 'gametrailers\.com/player/([0-9].*)\.html(.*)',
		'index' => 1,
		'code' => '<object id="gtembed" width="[WIDTH]" height="[HEIGHT]"><param name="allowScriptAccess" value="sameDomain" /> <param name="movie" value="http://www.gametrailers.com/remote_wrap.php?mid=[ID]"/> <param name="quality" value="high" /><embed src="http://www.gametrailers.com/remote_wrap.php?mid=[ID]" swLiveConnect="true" name="gtembed" align="middle" allowScriptAccess="sameDomain" quality="high" type="application/x-shockwave-flash" width="[WIDTH]" height="[HEIGHT]"></embed></object>',
		'page_url' => 'http://www.gametrailers.com'
	),
	'collegehumor' => array(
		'width' => '425',
		'height' => '350',
		'pattern' => 'collegehumor\.com/video:([0-9]*)',
		'index' => 1,
		'code' => '<embed src="http://www.collegehumor.com/moogaloop/moogaloop.swf?clip_id=[ID]" quality="best" width="[WIDTH]" height="[HEIGHT]" type="application/x-shockwave-flash"></embed>',
		'page_url' => 'http://www.collegehumor.com'
	),
	'dailymotion' => array(
		'width' => '425',
		'height' => '350',
		'pattern' => 'dailymotion\.com/(.*)video/([^< _]*)_?',
		'index' => 2,
		'code' => '<object width="[WIDTH]" height="[HEIGHT]"><param name="movie" value="http://www.dailymotion.com/swf/[ID]"></param><param name="allowfullscreen" value="true"></param><embed src="http://www.dailymotion.com/swf/[ID]" type="application/x-shockwave-flash" width="[WIDTH]" height="[HEIGHT]" allowfullscreen="true"></embed></object>',
		'page_url' => 'http://www.dailymotion.com'
	),
	'glumbert' => array(
		'width' => '425',
		'height' => '350',
		'pattern' => 'glumbert\.com\/media\/(.*?)$',
		'index' => 1,
		'code' => '<object width="[WIDTH]" height="[HEIGHT]"><param name="movie" value="http://www.glumbert.com/embed/[ID]"></param><param name="wmode" value="transparent"></param><embed src="http://www.glumbert.com/embed/[ID]" type="application/x-shockwave-flash" wmode="transparent" width="[WIDTH]" height="[HEIGHT]"></embed></object>',
		'page_url' => 'http://www.glumbert.com'
	),
	'liveleak' => array(
		'width' => '425',
		'height' => '350',
		'pattern' => 'liveleak.com/view[?]i=([0-9a-zA-Z_]*)',
		'index' => 1,
		'code' => '<embed src="http://www.liveleak.com/player.swf" width="[WIDTH]" height="[HEIGHT]" type="application/x-shockwave-flash" flashvars="autostart=false&token=[ID]" scale="showall" name="index"></embed>',
		'page_url' => 'http://www.liveleak.com'
	),
  'redtube' => array(
    'width' => '434',
		'height' => '344',
		'pattern' => 'redtube.com/([0-9].*)',
		'index' => 1,
    'code' => '<object height="[HEIGHT]" width="[WIDTH]"><param name="movie" value="http://embed.redtube.com/player/"><param name="FlashVars" value="id=[ID]&style=redtube"><embed src="http://embed.redtube.com/player/?id=[ID]&style=redtube" type="application/x-shockwave-flash" height="[HEIGHT]" width="[WIDTH]"></object>',
    'page_url' => 'http://www.redtube.com'
  ),
	'googlevideo' => array(
		'width' => '425',
		'height' => '350',
    'pattern' => 'video\.google\.(.*)/(videoplay)?(url)?\?docid=([a-zA-Z0-9_-]*)',
		'index' => 1,
		'code' => '<embed style="width:[WIDTH]px; height:[HEIGHT]px;" id="VideoPlayback" type="application/x-shockwave-flash" src="http://video.google.com/googleplayer.swf?docId=[ID]&hl=de" flashvars=""></embed>',
		'page_url' => 'http://video.google.com'
	),
	'sevenload' => array(
		'width' => '425',
		'height' => '350',
		'pattern' => 'sevenload\.com/videos\/([a-zA-Z0-9_-]*)',
		'index' => 1,
		'code' => '<object width="[WIDTH]" height="[HEIGHT]"><param name="FlashVars" value="slxml=de.sevenload.com"/><param name="movie" value="http://de.sevenload.com/pl/[ID]/[WIDTH]x[HEIGHT]/swf" /><embed src="http://de.sevenload.com/pl/[ID]/[WIDTH]x[HEIGHT]/swf" type="application/x-shockwave-flash" width="[WIDTH]" height="[HEIGHT]" FlashVars="slxml=de.sevenload.com"></embed></object>',
		'page_url' => 'http://de.sevenload.com'
	),
	'metacafe' => array(
		'width' => '425',
		'height' => '350',
		'pattern' => 'metacafe\.com/watch/([0-9].*?)/',
		'index' => 1,
		'code' => '<embed flashVars="altServerURL=http://www.metacafe.com&playerVars=showStats=yes|autoPlay=no|blogName=naden.de|blogURL=http://www.naden.de" src="http://www.metacafe.com/fplayer/[ID]/what_if.swf" width="[WIDTH]" height="[HEIGHT]" wmode="transparent"></embed>',
		'page_url' => 'http://www.metacafe.com'
	),
	'clipfish' => array(
		'width' => '425',
		'height' => '350',
		'pattern' => 'clipfish\.de/player\.php\?videoid=([a-zA-z0-9]*)',
		'index' => 1,
		'code' => '<embed src="http://www.clipfish.de/videoplayer.swf?as=0&videoid=[ID]&r=1" quality="high" bgcolor="#cacaca" width="[WIDTH]" height="[HEIGHT]" name="player" align="middle" allowScriptAccess="sameDomain" type="application/x-shockwave-flash"></embed>',
		'page_url' => 'http://www.clipfish.de'
	),
	'vimeo' => array(
		'width' => '425',
		'height' => '350',
		'pattern' => 'vimeo\.com/([0-9]*)',
		'index' => 1,
		'code' => '<object width="[WIDTH]" height="[HEIGHT]"><param name="allowfullscreen" value="true" /><param name="allowscriptaccess" value="sameDomain" /><param name="movie" value="http://www.vimeo.com/moogaloop.swf?clip_id=[ID]&amp;server=www.vimeo.com&amp;show_title=1&amp;show_byline=1&amp;show_portrait=0&amp;color=&amp;fullscreen=1" /><embed src="http://www.vimeo.com/moogaloop.swf?clip_id=[ID]&amp;server=www.vimeo.com&amp;show_title=1&amp;show_byline=1&amp;show_portrait=0&amp;color=&amp;fullscreen=1" type="application/x-shockwave-flash" allowfullscreen="true" allowscriptaccess="sameDomain" width="[WIDTH]" height="[HEIGHT]"></embed></object>',
		'page_url' => 'http://www.vimeo.com'
	),
	'juggletube' => array(
		'width' => '480',
		'height' => '360',
		'pattern' => 'juggletube\.com/video/([0-9]*)/',
		'index' => 1,
		'code' => '<object width="[WIDTH]" height="[HEIGHT]">
		<param name="allowfullscreen" value="true" />
		<param name="allowscriptaccess" value="sameDomain" />
		<param name="quality" value="high" />
		<param name="movie" value="http://www.juggletube.com/vimp.swf?mediaid=[ID]&amp;hosturl=http%3A%2F%2Fwww.juggletube.com%2Fflashcomm.php" />
		<embed src="http://www.juggletube.com/vimp.swf?mediaid=[ID]&amp;hosturl=http%3A%2F%2Fwww.juggletube.com%2Fflashcomm.php"
		type="application/x-shockwave-flash" allowfullscreen="true" quality="high" allowscriptaccess="sameDomain" width="[WIDTH]" height="[HEIGHT]"></embed></object>',
		'page_url' => 'http://www.vimeo.com'
	),

	'jugglingTV1' => array(
		'pattern' => 'http://(www\.)?juggling\.tv/vaults/view_video.php\?viewkey=([0-9a-z]*)',
		'index' => 2,
		//'code' => '<object width="[WIDTH]" height="[HEIGHT]"><param name="movie" value="http://www.juggling.tv/vaults/flvplayer.swf?file=http://www.juggling.tv/vaults/flvideo/[ID].flv&autostart=false&showfsbutton=true"></param><param name="wmode" value="transparent"></param><embed src="http://www.juggling.tv/vaults/flvplayer.swf?file=http://www.juggling.tv/vaults/flvideo/[ID].flv&autostart=false&showfsbutton=true" type="application/x-shockwave-flash" wmode="transparent" width="[WIDTH]" height="[HEIGHT]"></embed></object>',
		'code' => '<object width="[WIDTH]" height="[HEIGHT]"><param name="movie" value="http://juggling.tv/nvplayer.swf?config=http://juggling.tv/nuevo/econfig.php?key=[ID]"></param><param name="wmode" value="transparent"></param><embed src="http://juggling.tv/nvplayer.swf?config=http://juggling.tv/nuevo/econfig.php?key=[ID]" type="application/x-shockwave-flash" wmode="transparent" width="[WIDTH]" height="[HEIGHT]"></embed></object>',
		'width' => "480",
		'height'=> "380",
		'page_url' => 'http://www.juggling.tv'
	),
	'jugglingTV_looked' => array(
		'title' => 'JugglingTV2',
		'page_url' => 'http://juggling.tv/',
		'type' => 'video',
		'pattern' => 'http://juggling.tv/video/[0-9]*/([a-zA-Z0-9-]*)',
		'lookup-pattern' => '(http://juggling.tv/nuevo/econfig\.php\?key=([a-z0-9]+))',
		'index' => 2,
		//'pattern-looked' => 'http://juggling.tv/video/[0-9]*/([a-zA-Z0-9-]*)#id=http://juggling.tv/nuevo/econfig\.php\?key=([a-z0-9]+)',
		'width' => '776',
		'height' => '486',
		'code' => '<object width="[WIDTH]" height="[HEIGHT]"><param name="movie" value="http://juggling.tv/nvplayer.swf?config=http://juggling.tv/nuevo/econfig.php?key=[ID]"></param><param name="wmode" value="transparent"></param><embed src="http://juggling.tv/nvplayer.swf?config=http://juggling.tv/nuevo/econfig.php?key=[ID]" type="application/x-shockwave-flash" wmode="transparent" width="[WIDTH]" height="[HEIGHT]"></embed></object>',
		'allow-script' => TRUE,
		'lookup-title' => '<title>(Juggling.tv - (?! - juggling videos hosted).*) - juggling videos hosted',
		'fix-html-pattern' => '<div style="text[^>]*><embed src="http://juggling.tv/nvplayer.swf\?config=[^"]*"[^>]*><br /><a (?!href).*href="http://juggling.tv/video/([0-9]*/[a-zA-Z0-9-]*)"[^>]*[^<]*</a></embed></div>',
		'fix-html-url' => 'http://juggling.tv/video/$1'
	)
);

?>